Bug 113207 - file gives no error message if you try to look at a file you don't have permissions to read
Summary: file gives no error message if you try to look at a file you don't have permi...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: file   
(Show other bugs)
Version: 1
Hardware: i686 Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-09 18:23 UTC by Telsa Gwynne
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-20 01:20:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 2004-01-09 18:23:04 UTC
[hobbit@aloss hobbit]$ rpm -q file
file-4.02-2
[hobbit@aloss hobbit]$ file /etc/sysconfig/rhn
/etc/sysconfig/rhn: directory
[hobbit@aloss hobbit]$ file /etc/sysconfig/rhn/up2date
/etc/sysconfig/rhn/up2date:
[hobbit@aloss hobbit]$ ls -l /etc/sysconfig/rhn/up2date
-rw-------    1 root     root         3436 Rha  3 18:00
/etc/sysconfig/rhn/up2date
[hobbit@aloss hobbit]$ LANG="C" file /etc/sysconfig/rhn/up2date
/etc/sysconfig/rhn/up2date:

(That last just to check it wasn't some locale thing)

There is no "regular file: no read permission" error coming up
as appears on Debian's file command (file-4.06). 

An error message of some sort would be nice, even if it is is just
permission denied.
If it's a GNU error (and fix), perhaps upgrading to that?

Comment 1 Jeff Johnson 2004-01-09 21:19:16 UTC
Reproduced with file-4.06 in fc2.


Comment 2 Jeff Johnson 2004-01-20 01:20:57 UTC
Fixed in file-4.07-1. Thanks for noticing.


Note You need to log in before you can comment on or make changes to this bug.